Api referenceArchitecture

List Repository Architecture Change Sets

Reference for List Repository Architecture Change Sets in the Hyperoru v1 API, including request, response, and authentication details.

GET/v1/workspaces/{workspace_id}/repositories/{repository_id}/architecture/change-sets

List Repository Architecture Change Sets. Returns a typed response and a request ID for operational support.

Authorization

hyperoru_session<token>

Opaque HttpOnly customer session. Mutations also require X-CSRF-Token.

In: cookie

Path Parameters

workspace_id*Workspace Id
Formatuuid
repository_id*Repository Id
Formatuuid

Query Parameters

state?|null
limit?Limit
Default50
Range1 <= value <= 200

Response Body

application/json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

curl -X GET "https://example.com/v1/workspaces/497f6eca-6276-4993-bfeb-53cbbbba6f08/repositories/497f6eca-6276-4993-bfeb-53cbbbba6f08/architecture/change-sets"
{
  "items": [
    {
      "accuracy": {
        "f1": 0,
        "gate_matched": true,
        "matched_count": 0,
        "observed_count": 0,
        "precision": 0,
        "predicted_count": 0,
        "recall": 0
      },
      "actor_id": "04f37679-bfbf-4906-b749-01756515cecf",
      "baseline_snapshot_id": "52737707-07c6-4939-8e33-14d360aab527",
      "candidate_payload": {},
      "change_key": "string",
      "created_at": "2019-08-24T14:15:22Z",
      "gate_result": {
        "outcome": "pass",
        "policy_enabled": true,
        "reasons": [
          "string"
        ]
      },
      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
      "impact_result": {},
      "normalized_changes": [
        {
          "key": "string",
          "kind": "string",
          "operation": "add",
          "source_key": "string",
          "subject": "entity",
          "target_key": "string"
        }
      ],
      "occurred_at": "2019-08-24T14:15:22Z",
      "reason": "string",
      "reconciled_change_set_id": "dd16a78a-0090-44a9-b01b-8b71e6553f84",
      "repository_id": "b349ae61-b973-4c6c-a5e0-89183ba99ff3",
      "result_snapshot_id": "66f29870-5be3-4bf3-8b48-749c1dfba7c6",
      "source_ref": "string",
      "state": "candidate",
      "trigger": "string",
      "updated_at": "2019-08-24T14:15:22Z",
      "workspace_id": "0967198e-ec7b-4c6b-b4d3-f71244cadbe9"
    }
  ]
}
{
  "code": "validation_failed",
  "detail": "The request body did not match the documented schema.",
  "instance": "/v1/audits",
  "request_id": "018f6f5d-36a2-7a2d-a8f6-ec1a55c03e45",
  "status": 422,
  "title": "Validation Failed",
  "type": "https://api.hyperoru.com/problems/validation_failed"
}
{
  "code": "validation_failed",
  "detail": "The request body did not match the documented schema.",
  "instance": "/v1/audits",
  "request_id": "018f6f5d-36a2-7a2d-a8f6-ec1a55c03e45",
  "status": 422,
  "title": "Validation Failed",
  "type": "https://api.hyperoru.com/problems/validation_failed"
}
{
  "code": "validation_failed",
  "detail": "The request body did not match the documented schema.",
  "instance": "/v1/audits",
  "request_id": "018f6f5d-36a2-7a2d-a8f6-ec1a55c03e45",
  "status": 422,
  "title": "Validation Failed",
  "type": "https://api.hyperoru.com/problems/validation_failed"
}
{
  "code": "validation_failed",
  "detail": "The request body did not match the documented schema.",
  "instance": "/v1/audits",
  "request_id": "018f6f5d-36a2-7a2d-a8f6-ec1a55c03e45",
  "status": 422,
  "title": "Validation Failed",
  "type": "https://api.hyperoru.com/problems/validation_failed"
}
{
  "code": "validation_failed",
  "detail": "The request body did not match the documented schema.",
  "instance": "/v1/audits",
  "request_id": "018f6f5d-36a2-7a2d-a8f6-ec1a55c03e45",
  "status": 422,
  "title": "Validation Failed",
  "type": "https://api.hyperoru.com/problems/validation_failed"
}
{
  "code": "validation_failed",
  "detail": "The request body did not match the documented schema.",
  "instance": "/v1/audits",
  "request_id": "018f6f5d-36a2-7a2d-a8f6-ec1a55c03e45",
  "status": 422,
  "title": "Validation Failed",
  "type": "https://api.hyperoru.com/problems/validation_failed"
}
{
  "code": "validation_failed",
  "detail": "The request body did not match the documented schema.",
  "instance": "/v1/audits",
  "request_id": "018f6f5d-36a2-7a2d-a8f6-ec1a55c03e45",
  "status": 422,
  "title": "Validation Failed",
  "type": "https://api.hyperoru.com/problems/validation_failed"
}